import React from 'react';
import renderer from 'react-test-renderer';

import ActivityShareFile from '.';

describe('ActivityShareFile component', () => {
  const props = {
    file: {
      displayName: 'testImage.js',
      url: 'http://cisco.com'
    },
    isPending: false,
    onDownloadClick: jest.fn()
  };

  it('renders properly', () => {
    const component = renderer.create(<ActivityShareFile {...props} />);

    expect(component).toMatchSnapshot();
  });

  it('renders properly while pending', () => {
    props.isPending = true;
    const component = renderer.create(<ActivityShareFile {...props} />);

    expect(component).toMatchSnapshot();
  });
});
